Package org.gradle.api.tasks.testing

## Enum TestOutputEvent.Destination

- java.lang.Object
- - java.lang.Enum<TestOutputEvent.Destination>
  - - org.gradle.api.tasks.testing.TestOutputEvent.Destination

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TestOutputEvent.Destination>`
  Enclosing interface:
    TestOutputEvent

      public static enum TestOutputEvent.Destination
      extends java.lang.Enum<TestOutputEvent.Destination>

  Destination of the message

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `StdErr` |
    `StdOut` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TestOutputEvent.Destination` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TestOutputEvent.Destination[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### StdOut

          public static final TestOutputEvent.Destination StdOut

    - #### StdErr

          public static final TestOutputEvent.Destination StdErr

  - ### Method Detail

    - #### values

          public static TestOutputEvent.Destination[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TestOutputEvent.Destination c : TestOutputEvent.Destination.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TestOutputEvent.Destination valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null